
<div *ngIf="isSignedUp; else signupForm">
  Your registration is successful. Please login!
</div>

<ng-template #signupForm>
 
    <form
      name="form"
      (ngSubmit)="f.form.valid && onSubmitRegister()"
      #f="ngForm"
      novalidate
    >
      <div class="row" class="signInTitle">
 <h1>Faisons connaissance !</h1>
 </div>

 <div style="margin-left: 40px; margin-right:40px; ">

        <div class="floating-label">
          <input
            type="text"
            class="floating-input"
            placeholder=" "
            name="firstName"
            [(ngModel)]="form.firstName"
            #name="ngModel"
            required
          />
          <span class="highlight"></span>
          <label for="name">Nom</label>
          <div *ngIf="f.submitted && name.invalid">
            <div *ngIf="name.errors.required">Name is required</div>
          </div>
        </div>
      
          <div class="floating-label">
          <input
            type="text"
            class="floating-input"
            name="username"
            placeholder=" "
            [(ngModel)]="form.username"
            #username="ngModel"
            required
          />
          <span class="highlight"></span>
          <label for="username">Pseudo</label>
          <div *ngIf="f.submitted && username.invalid">
            <div *ngIf="username.errors.required">Username is required</div>
          </div>
      
        </div>
        <div class="floating-label">
          <input
            type="text"
            class="floating-input"
            name="email"
            placeholder=" "
            [(ngModel)]="form.email"
            #email="ngModel"
            required
            email
          />
          <span class="highlight"></span>
          <label for="email">E-mail</label>
          <div *ngIf="f.submitted && email.invalid">
            <div *ngIf="email.errors.required">Email is required</div>
            <div *ngIf="email.errors.email">
              Email must be a valid email address
            </div>
          </div>
        </div>

        <div class="floating-label">
          <input
            type="password"
            class="floating-input"
            placeholder=" "
            name="password"
            [(ngModel)]="form.password"
            #password="ngModel"
            required
            minlength="6"
          />
          <span class="highlight"></span>
          <label for="password">Mot de passe</label>
          <div *ngIf="f.submitted && password.invalid">
            <div *ngIf="password.errors.required">Password is required</div>
            <div *ngIf="password.errors.minlength">
              Password must be at least 6 characters
            </div>
          </div>
        </div>
        <div class="form-group">

</div>
<div class="row" style="margin-left : 23%" >
          <button class="btn btn-primary">Register</button>
          <div
            *ngIf="f.submitted && isSignUpFailed"
            class="alert alert-warning"
          >
            Signup failed!<br />{{ errorMessage }}
          </div>
</div>

        </div>
  
    </form>
  
</ng-template>

